Package org.apache.solr.client.solrj.impl

## Class SolrHttpRequestRetryHandler

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrHttpRequestRetryHandler

All Implemented Interfaces:
  `org.apache.http.client.HttpRequestRetryHandler`

    @Deprecated(since="9.0")
    public class SolrHttpRequestRetryHandler
    extends Object
    implements org.apache.http.client.HttpRequestRetryHandler

Deprecated.
Please look into using Solr's new Http2 clients

### Field Summary

Fields
`static SolrHttpRequestRetryHandler` `INSTANCE` Deprecated.

### Constructor Summary

Constructors
`` `SolrHttpRequestRetryHandler()` Deprecated. Create the request retry handler with a retry count of 3, requestSentRetryEnabled false and using the following list of non-retriable IOException classes: InterruptedIOException UnknownHostException ConnectException SSLException
`` `SolrHttpRequestRetryHandler​(int retryCount)` Deprecated. Create the request retry handler using the following list of non-retriable IOException classes: InterruptedIOException UnknownHostException ConnectException SSLException
`protected` `SolrHttpRequestRetryHandler​(int retryCount, Collection<Class<? extends IOException>> clazzes)` Deprecated. Create the request retry handler using the specified IOException classes

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `getRetryCount()` Deprecated.
`protected boolean` `handleAsIdempotent​(org.apache.http.client.protocol.HttpClientContext context)` Deprecated.
`protected boolean` `requestIsAborted​(org.apache.http.HttpRequest request)` Deprecated.
`boolean` `retryRequest​(IOException exception, int executionCount, org.apache.http.protocol.HttpContext context)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final SolrHttpRequestRetryHandler INSTANCE

Deprecated.

### Constructor Detail

#### SolrHttpRequestRetryHandler

    protected SolrHttpRequestRetryHandler​(int retryCount,
                                          Collection<Class<? extends IOException>> clazzes)

Deprecated.
Create the request retry handler using the specified IOException classes

Parameters:
  `retryCount` - how many times to retry; 0 means no retries true if it's OK to retry requests that have been sent
  `clazzes` - the IOException types that should not be retried

#### SolrHttpRequestRetryHandler

    public SolrHttpRequestRetryHandler​(int retryCount)

Deprecated.
Create the request retry handler using the following list of non-retriable IOException classes:

- InterruptedIOException
- UnknownHostException
- ConnectException
- SSLException

Parameters:
  `retryCount` - how many times to retry; 0 means no retries true if it's OK to retry non-idempotent requests that have been sent

#### SolrHttpRequestRetryHandler

    public SolrHttpRequestRetryHandler()

Deprecated.
Create the request retry handler with a retry count of 3, requestSentRetryEnabled false and using the following list of non-retriable IOException classes:

- InterruptedIOException
- UnknownHostException
- ConnectException
- SSLException

### Method Detail

#### retryRequest

    public boolean retryRequest​(IOException exception,
                                int executionCount,
                                org.apache.http.protocol.HttpContext context)

Deprecated.

Specified by:
  `retryRequest` in interface `org.apache.http.client.HttpRequestRetryHandler`

#### getRetryCount

    public int getRetryCount()

Deprecated.

#### handleAsIdempotent

    protected boolean handleAsIdempotent​(org.apache.http.client.protocol.HttpClientContext context)

Deprecated.

#### requestIsAborted

    protected boolean requestIsAborted​(org.apache.http.HttpRequest request)

Deprecated.